---
title: TimeEvent
slug: Web/API/TimeEvent
tags:
  - API
  - Interface
  - NeedsMarkupWork
  - SVG
---
<p>{{APIRef("SVG")}}</p>

<p>The <strong><code>TimeEvent</code></strong> interface, a part of <a href="/en-US/docs/Web/SVG/SVG_animation_with_SMIL">SVG SMIL</a> animation, provides specific contextual information associated with Time events.</p>

<p>{{InheritanceDiagram}}</p>

<h2 id="Properties">Properties</h2>

<dl>
 <dt>{{domxref("TimeEvent.detail")}} {{ReadOnlyInline}}</dt>
 <dd>Is a <code>long</code> that specifies some detail information about the Event, depending on the type of the event. For this event type, indicates the repeat number for the animation.</dd>

 <dt>{{domxref("TimeEvent.view")}} {{ReadOnlyInline}}</dt>
 <dd>Is a {{domxref("WindowProxy")}} that identifies the Window from which the event was generated.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<dl>
 <dt>{{domxref("initTimeEvent")}}(DOMString typeArg, AbstractView viewArg, long detailArg)</dt>
 <dd>The initTimeEvent method is used to initialize the value of a TimeEvent created through the DocumentEvent interface. This method may only be called before the TimeEvent has been dispatched via the dispatchEvent method, though it may be called multiple times during that phase if necessary.</dd>
</dl>
